[Contrail 5.0 ] Incorrect alarm (Process Failure) is generated on Config Node.

Bug #1765487 reported by Madhava Jayamani on 2018-04-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R5.0
Fix Committed
High
Andrey Pavlov
Trunk
Fix Committed
High
Andrey Pavlov

Bug Description

Incorrect alarm [Process Failure] is generated on Config Node.

Roles are split in the below fashion.

Build - ocata-5.0-18

HOST1 - ROLE - openstack/webui -
HOST2 - ROLE - config/control
HOST3 - ROLE - analytics
HOST4 - ROLE - config_database/analytics_database

Alarm generation reason is as below , But zookeeper and cassandra is not running on the config node.

{
json_operand1_value: "PROCESS_STATE_EXITED"
json_variables: {
NodeStatus.process_info.process_name: "zookeeper"
}
}
 {
json_operand1_value: "PROCESS_STATE_EXITED"
json_variables: {
NodeStatus.process_info.process_name: "cassandra"
}

instances.yaml used for deployment.

[root@server1 config]# cat instances.yaml
global_configuration:
   REGISTRY_PRIVATE_INSECURE: True
   CONTAINER_REGISTRY: ci-repo.englab.juniper.net:5000
provider_config:
  bms:
    domainsuffix: local
    ntpserver: 10.84.5.100
    ssh_pwd: c0ntrail123
    ssh_user: root

instances:
  5b8s30-vm1:
      ip: 10.87.66.157
      provider: bms
      roles:
          openstack: null
          webui: null
  5b8s30-vm2:
      ip: 10.87.66.158
      provider: bms
      roles:
          config: null
          control: null
  5b8s30-vm3:
      ip: 10.87.66.159
      provider: bms
      roles:
          analytics: null
  5b8s30-vm4:
      ip: 10.87.66.160
      provider: bms
      roles:
          analytics_database: null
          config_database: null
  5b8s31-vm1:
      ip: 10.87.66.161
      provider: bms
      roles:
          openstack: null
          webui: null
  5b8s31-vm2:
      ip: 10.87.66.162
      provider: bms
      roles:
          config: null
          control: null
  5b8s31-vm3:
      ip: 10.87.66.163
      provider: bms
      roles:
          analytics: null
  5b8s31-vm4:
      ip: 10.87.66.164
      provider: bms
      roles:
          analytics_database: null
          config_database: null
  5b8s32-vm1:
      ip: 10.87.66.165
      provider: bms
      roles:
          openstack: null
          webui: null
  5b8s32-vm2:
      ip: 10.87.66.166
      provider: bms
      roles:
          config: null
          control: null
  5b8s32-vm3:
      ip: 10.87.66.167
      provider: bms
      roles:
          analytics: null
  5b8s32-vm4:
      ip: 10.87.66.168
      provider: bms
      roles:
          analytics_database: null
          config_database: null
  5b8s33:
      ip: 10.87.66.148
      provider: bms
      roles:
          openstack_compute: null
          vrouter: null
  5b8s35:
      ip: 10.87.66.150
      provider: bms
      roles:
          openstack_compute: null
          vrouter: null
  5b8s37:
      ip: 10.87.66.152
      provider: bms
      roles:
          openstack_compute: null
          vrouter: null
  5b8s38:
      ip: 10.87.66.153
      provider: bms
      roles:
          openstack_compute: null
          vrouter: null
  5b8s39:
      ip: 10.87.66.154
      provider: bms
      roles:
          openstack_compute: null
          vrouter: null

contrail_configuration:
  CONTRAIL_VERSION: ocata-5.0-19
  CLOUD_ORCHESTRATOR: openstack
  METADATA_PROXY_SECRET: c0ntrail123
  CONTROLLER_NODES: 172.17.90.2,172.17.90.6,172.17.90.10
  AUTH_MODE: keystone
  KEYSTONE_AUTH_ADMIN_PASSWORD: c0ntrail123
  KEYSTONE_AUTH_URL_VERSION: "/v3"
  RABBITMQ_NODE_PORT: 5673
  KEYSTONE_AUTH_HOST: 172.17.90.185
  IPFABRIC_SERVICE_HOST: 172.17.90.185
  AAA_MODE: no-auth
  ANALYTICSDB_NODES: 172.17.90.4,172.17.90.8,172.17.90.12
  ANALYTICS_NODES: 172.17.90.3,172.17.90.7,172.17.90.11
  AUTH_MODE: keystone
  CLOUD_ORCHESTRATOR: openstack
  CONFIGDB_NODES: 172.17.90.4,172.17.90.8,172.17.90.12
  CONFIG_NODES: 172.17.90.2,172.17.90.6,172.17.90.10
  CONTAINER_REGISTRY: ci-repo.englab.juniper.net:5000
  CONTRAIL_VERSION: ocata-5.0-18
  CONTROLLER_NODES: 172.17.90.2,172.17.90.6,172.17.90.10
  CONTROL_DATA_NET_LIST: 172.17.90.0/24
  CONTROL_NODES: 172.17.90.2,172.17.90.6,172.17.90.10
  IPFABRIC_SERVICE_HOST: 172.17.90.185
  KAFKA_NODES: 172.17.90.4,172.17.90.8,172.17.90.12
  KEYSTONE_AUTH_ADMIN_PASSWORD: c0ntrail123
  KEYSTONE_AUTH_HOST: 172.17.90.185
  KEYSTONE_AUTH_URL_VERSION: /v3
  METADATA_PROXY_SECRET: c0ntrail123
  RABBITMQ_NODES: 172.17.90.4,172.17.90.8,172.17.90.12
  RABBITMQ_NODE_PORT: 5673
  REDIS_NODES: 172.17.90.3,172.17.90.7,172.17.90.11
  UPGRADE_KERNEL: true
  VROUTER_GATEWAY: 172.17.90.249
  ZOOKEEPER_ANALYTICS_NODES: 172.17.90.4,172.17.90.8,172.17.90.12
  ZOOKEEPER_NODES: 172.17.90.4,172.17.90.8,172.17.90.12

kolla_config:
  kolla_globals:
    kolla_internal_vip_address: 172.17.90.185
    kolla_external_vip_address: 10.87.66.185
    enable_haproxy: yes
    docker_registry: ci-repo.englab.juniper.net:5000
    docker_namespace: kolla
    enable_ironic: "no"
    enable_swift: "no"
  kolla_passwords:
    metadata_secret: c0ntrail123
    keystone_admin_password: c0ntrail123
[root@server1 config]#

Andrey Pavlov (apavlov-e) wrote :

this is a long story - historically nodemgr can monitor config and configdb when they are placed ont the same node (POD).

Rework of nodemgr and contrail-status is needed to fix this.
It's a new and not small feature.

tags: removed: sanity
Changed in juniperopenstack:
milestone: none → r5.0.1
milestone: r5.0.1 → r5.1.0
Jeba Paulaiyan (jebap) on 2018-04-20
tags: added: sanityblocker
tags: added: releasenote
Jeba Paulaiyan (jebap) on 2018-04-25
information type: Proprietary → Public
Jeba Paulaiyan (jebap) on 2018-05-04
tags: added: blocker sanity
removed: sanityblocker

Review in progress for https://review.opencontrail.org/44394
Submitter: Sundaresan Rajangam (<email address hidden>)

Review in progress for https://review.opencontrail.org/44396
Submitter: Sundaresan Rajangam (<email address hidden>)

Review in progress for https://review.opencontrail.org/44417
Submitter: Andrey Pavlov (<email address hidden>)

OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/44418
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44419
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44417
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44424
Submitter: Andrey Pavlov (<email address hidden>)

Reviewed: https://review.opencontrail.org/44394
Committed: http://github.com/Juniper/contrail-analytics/commit/7de6b5c1ae50282bf3319419be8b99517b5be357
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 7de6b5c1ae50282bf3319419be8b99517b5be357
Author: Sundaresan Rajangam <email address hidden>
Date: Thu Jul 5 14:48:12 2018 -0700

Added a new uve-type for config database

At present, config cassandra info is sent in the config-node UVE. With
the addition of new role for config database, it is required to add a
new uve-type. Added a new uve-type "config-database-node" to send the
config cassandra info.

Change-Id: If2d22d34adca1aa72f28cf1d02a41b7d5f281b16
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44396
Committed: http://github.com/Juniper/contrail-analytics/commit/6d0bb72496317ef439120c738906dfeea81236dc
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 6d0bb72496317ef439120c738906dfeea81236dc
Author: Sundaresan Rajangam <email address hidden>
Date: Thu Jul 5 14:48:12 2018 -0700

Added a new uve-type for config database

At present, config cassandra info is sent in the config-node UVE. With
the addition of new role for config database, it is required to add a
new uve-type. Added a new uve-type "config-database-node" to send the
config cassandra info.

Change-Id: If2d22d34adca1aa72f28cf1d02a41b7d5f281b16
Partial-Bug: #1765487

Review in progress for https://review.opencontrail.org/44417
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44424
Submitter: Andrey Pavlov (<email address hidden>)

Reviewed: https://review.opencontrail.org/44418
Committed: http://github.com/Juniper/contrail-packages/commit/bb0fe6a376045517bc8d2eaaf8b8f15ef12088fb
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit bb0fe6a376045517bc8d2eaaf8b8f15ef12088fb
Author: Andrey Pavlov <email address hidden>
Date: Fri Jul 6 16:57:44 2018 +0300

cleanup dependecies to nodemgr

Change-Id: I0c919b2eb3cee90a717a204c1ffbd8ea1cee2755
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44419
Committed: http://github.com/Juniper/contrail-packages/commit/0b560cf3d80c480725f2043d579905b247d04c37
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 0b560cf3d80c480725f2043d579905b247d04c37
Author: Andrey Pavlov <email address hidden>
Date: Fri Jul 6 16:57:44 2018 +0300

cleanup dependecies to nodemgr

Change-Id: I0c919b2eb3cee90a717a204c1ffbd8ea1cee2755
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44417
Committed: http://github.com/Juniper/contrail-controller/commit/190f29485c718864311410e1863e5ab4c5f603f3
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 190f29485c718864311410e1863e5ab4c5f603f3
Author: Andrey Pavlov <email address hidden>
Date: Fri Jul 6 16:11:52 2018 +0300

remove old service.ini files from nodemgr

remove unused node_mgr.service files from other services
remove contrail-status as it was present directly in container for R5.x

Depends-On: I0c919b2eb3cee90a717a204c1ffbd8ea1cee2755
Change-Id: Ie7c62cbd248b33bda7191b1b3da346da4875d136
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44424
Committed: http://github.com/Juniper/contrail-controller/commit/8a558acc4aab348e4d10d543f6a789799d3325b4
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 8a558acc4aab348e4d10d543f6a789799d3325b4
Author: Andrey Pavlov <email address hidden>
Date: Fri Jul 6 16:11:52 2018 +0300

remove old service.ini files from nodemgr

remove unused node_mgr.service files from other services
remove contrail-status as it was present directly in container for R5.x

Depends-On: I0c919b2eb3cee90a717a204c1ffbd8ea1cee2755
Change-Id: Ie7c62cbd248b33bda7191b1b3da346da4875d136
Partial-Bug: #1765487

Review in progress for https://review.opencontrail.org/44460
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44463
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44464
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44463
Submitter: Andrey Pavlov (<email address hidden>)

Reviewed: https://review.opencontrail.org/44460
Committed: http://github.com/Juniper/contrail-controller/commit/1cf393adc81ba8a0458495da1e4e3284c9a809a4
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 1cf393adc81ba8a0458495da1e4e3284c9a809a4
Author: Andrey Pavlov <email address hidden>
Date: Mon Jul 9 13:57:52 2018 +0300

add config database definitions to VNS

Change-Id: Ibf840cf6d3f190e630544cb2e9ea099da525ad2a
Partial-Bug: #1765487

Review in progress for https://review.opencontrail.org/44488
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44495
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44496
Submitter: Andrey Pavlov (<email address hidden>)

Reviewed: https://review.opencontrail.org/44488
Committed: http://github.com/Juniper/contrail-controller/commit/2918dfb47ef703804b9567c5c89c4b2f9b974c72
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 2918dfb47ef703804b9567c5c89c4b2f9b974c72
Author: Andrey Pavlov <email address hidden>
Date: Mon Jul 9 13:57:52 2018 +0300

add config database definitions to VNS

Change-Id: Ibf840cf6d3f190e630544cb2e9ea099da525ad2a
Partial-Bug: #1765487
(cherry picked from commit 1cf393adc81ba8a0458495da1e4e3284c9a809a4)

Reviewed: https://review.opencontrail.org/44463
Committed: http://github.com/Juniper/contrail-controller/commit/f346ee52a477fe62f2c9385ace4b7137554774be
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit f346ee52a477fe62f2c9385ace4b7137554774be
Author: Andrey Pavlov <email address hidden>
Date: Mon Jul 9 15:15:05 2018 +0300

Add config-database for nodemgr

Change-Id: If2793fbe6855bded3206e4ec36e8bcb1ff5e0ec3
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44495
Committed: http://github.com/Juniper/contrail-controller/commit/39aafa9384fe0af716604f179c1e2dea0dd9db14
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 39aafa9384fe0af716604f179c1e2dea0dd9db14
Author: Andrey Pavlov <email address hidden>
Date: Mon Jul 9 15:15:05 2018 +0300

Add config-database for nodemgr

Change-Id: If2793fbe6855bded3206e4ec36e8bcb1ff5e0ec3
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44464
Committed: http://github.com/Juniper/contrail-ansible-deployer/commit/219e6c370c01c26a2208f0ca97c5d28b7e9ec22f
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 219e6c370c01c26a2208f0ca97c5d28b7e9ec22f
Author: Andrey Pavlov <email address hidden>
Date: Mon Jul 9 15:19:26 2018 +0300

add instance of nodemgr for config-database

Depends-On: If2793fbe6855bded3206e4ec36e8bcb1ff5e0ec3
Change-Id: I89986ca8b8f372cbd4f3f6a2f90ae5ab67638fcc
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44496
Committed: http://github.com/Juniper/contrail-ansible-deployer/commit/68226d726b1e556c4e3d7e0ce9f34d423d086efa
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 68226d726b1e556c4e3d7e0ce9f34d423d086efa
Author: Andrey Pavlov <email address hidden>
Date: Mon Jul 9 15:19:26 2018 +0300

add instance of nodemgr for config-database

Depends-On: If2793fbe6855bded3206e4ec36e8bcb1ff5e0ec3
Change-Id: I89986ca8b8f372cbd4f3f6a2f90ae5ab67638fcc
Partial-Bug: #1765487

Review in progress for https://review.opencontrail.org/44560
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44561
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44565
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44566
Submitter: Andrey Pavlov (<email address hidden>)

Reviewed: https://review.opencontrail.org/44561
Committed: http://github.com/Juniper/contrail-controller/commit/812b958962b2b3511252b50720d5a07130c2b3cb
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 812b958962b2b3511252b50720d5a07130c2b3cb
Author: Andrey Pavlov <email address hidden>
Date: Thu Jul 12 16:03:33 2018 +0300

Addressing part of comments from previous review

1) remove contrail_databases option
2) rename log file in config file example

Change-Id: I877f695ea5add900aa0aa7829d7c81645fa69735
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44560
Committed: http://github.com/Juniper/contrail-controller/commit/fc86234d6e53750ae48d0cf39c2b4f38e5f2fce9
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit fc86234d6e53750ae48d0cf39c2b4f38e5f2fce9
Author: Andrey Pavlov <email address hidden>
Date: Thu Jul 12 16:03:33 2018 +0300

Addressing part of comments from previous review

1) remove contrail_databases option
2) rename log file in config file example

Change-Id: I877f695ea5add900aa0aa7829d7c81645fa69735
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44565
Committed: http://github.com/Juniper/contrail-container-builder/commit/9cae773a097a4dcbace291d311ce4b283b6d0c9b
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 9cae773a097a4dcbace291d311ce4b283b6d0c9b
Author: Andrey Pavlov <email address hidden>
Date: Thu Jul 12 17:14:04 2018 +0300

Add logic for config-database in contrail-status

Change-Id: I307535ee2ec1c2d0e6b9ce061997aaafcee905d0
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44566
Committed: http://github.com/Juniper/contrail-container-builder/commit/55551eecf7b810fa6367440f4155f7a9c09848ba
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 55551eecf7b810fa6367440f4155f7a9c09848ba
Author: Andrey Pavlov <email address hidden>
Date: Thu Jul 12 17:14:04 2018 +0300

Add logic for config-database in contrail-status

Change-Id: I307535ee2ec1c2d0e6b9ce061997aaafcee905d0
Partial-Bug: #1765487

Review in progress for https://review.opencontrail.org/44649
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44650
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44651
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44652
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44690
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44691
Submitter: Andrey Pavlov (<email address hidden>)

Reviewed: https://review.opencontrail.org/44651
Committed: http://github.com/Juniper/contrail-helm-deployer/commit/42935358eb8776234f9e0c94ca1a42fa4e261384
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 42935358eb8776234f9e0c94ca1a42fa4e261384
Author: Andrey Pavlov <email address hidden>
Date: Mon Jul 16 15:14:27 2018 +0300

add configdb-nodemgr

Change-Id: I274e40d01da3ac04e6dffe438e5ab20fed16a4dd
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44650
Committed: http://github.com/Juniper/openshift-ansible/commit/235d4f3d5ffdeedf8c0b150c1e62edcf1f97f1be
Submitter: Zuul v3 CI (<email address hidden>)
Branch: release-3.9-contrail

commit 235d4f3d5ffdeedf8c0b150c1e62edcf1f97f1be
Author: Andrey Pavlov <email address hidden>
Date: Mon Jul 16 14:16:38 2018 +0300

Fix nodemgr definitions due to config-database nodemgr

Partial-Bug: #1765487
Change-Id: Icf0d1aa8d212837e572812c2a07c36e0ff2a5047

Reviewed: https://review.opencontrail.org/44649
Committed: http://github.com/Juniper/openshift-ansible/commit/d1c8bfe8327b278684910e7d1a9597971421454f
Submitter: Zuul v3 CI (<email address hidden>)
Branch: release-3.7-contrail

commit d1c8bfe8327b278684910e7d1a9597971421454f
Author: Andrey Pavlov <email address hidden>
Date: Mon Jul 16 14:16:38 2018 +0300

Fix nodemgr definitions due to config-database nodemgr

Partial-Bug: #1765487
Change-Id: Icf0d1aa8d212837e572812c2a07c36e0ff2a5047

Reviewed: https://review.opencontrail.org/44652
Committed: http://github.com/Juniper/contrail-helm-deployer/commit/0c5c8f51ef4018ba883fe9651368c16990e19209
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 0c5c8f51ef4018ba883fe9651368c16990e19209
Author: Andrey Pavlov <email address hidden>
Date: Mon Jul 16 15:14:27 2018 +0300

add configdb-nodemgr

Change-Id: I274e40d01da3ac04e6dffe438e5ab20fed16a4dd
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44691
Committed: http://github.com/Juniper/contrail-container-builder/commit/fa3b6133720725fc30a91164d4bc705d293c442f
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit fa3b6133720725fc30a91164d4bc705d293c442f
Author: Andrey Pavlov <email address hidden>
Date: Tue Jul 17 10:43:01 2018 +0300

fix using additional settings for config-database-nodemgr

Change-Id: Iff86ac826ab41b29713a1babb730aa683fc5c88c
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44690
Committed: http://github.com/Juniper/contrail-container-builder/commit/494f3ad30f4414c9d6002ba7f1989ac368d3e0e2
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 494f3ad30f4414c9d6002ba7f1989ac368d3e0e2
Author: Andrey Pavlov <email address hidden>
Date: Tue Jul 17 10:43:01 2018 +0300

fix using additional settings for config-database-nodemgr

Change-Id: Iff86ac826ab41b29713a1babb730aa683fc5c88c
Partial-Bug: #1765487

Review in progress for https://review.opencontrail.org/44894
Submitter: Andrey Pavlov (<email address hidden>)

Review in progress for https://review.opencontrail.org/44895
Submitter: Andrey Pavlov (<email address hidden>)

Reviewed: https://review.opencontrail.org/44895
Committed: http://github.com/Juniper/contrail-helm-deployer/commit/96b159a9b9a291795553dc2d2b067f979eb6903c
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 96b159a9b9a291795553dc2d2b067f979eb6903c
Author: Andrey Pavlov <email address hidden>
Date: Tue Jul 24 12:50:44 2018 +0300

add configdb-nodemgr daemonset

Change-Id: I9195122bc4a44d90c0cb455a5a3440688a2a6491
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/44894
Committed: http://github.com/Juniper/contrail-helm-deployer/commit/32034c381e009862786e39a3ddd0b099d8a100f0
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 32034c381e009862786e39a3ddd0b099d8a100f0
Author: Andrey Pavlov <email address hidden>
Date: Tue Jul 24 12:50:44 2018 +0300

add configdb-nodemgr daemonset

Change-Id: I9195122bc4a44d90c0cb455a5a3440688a2a6491
Partial-Bug: #1765487

Andrey Pavlov (apavlov-e) wrote :

separate bug is filed to track database.sandesh moving
https://bugs.launchpad.net/juniperopenstack/+bug/1783494

Review in progress for https://review.opencontrail.org/45676
Submitter: Ignacio Dominguez Martinez-Casanueva (<email address hidden>)

Review in progress for https://review.opencontrail.org/45702
Submitter: Ignacio Dominguez Martinez-Casanueva (<email address hidden>)

Reviewed: https://review.opencontrail.org/45676
Committed: http://github.com/Juniper/contrail-helm-deployer/commit/c6662744389bf3f4e2e086e1b6e29e75a3622663
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit c6662744389bf3f4e2e086e1b6e29e75a3622663
Author: Ignacio Dominguez Martinez-Casanueva <email address hidden>
Date: Tue Aug 21 12:07:28 2018 +0200

Fix configdb-nodemgr to use keystone admin secret

Update configdb-nodemgr daemonset to consume KEYSTONE_AUTH_ADMIN_PASSWORD
as a Secret like other daemonsets: https://review.opencontrail.org/#/c/44844/

Change-Id: Id2d4df47f94e7d749114cde7016a3b2a5ad56b5f
Partial-Bug: #1765487

Reviewed: https://review.opencontrail.org/45702
Committed: http://github.com/Juniper/contrail-helm-deployer/commit/9dcffd0104f77b68082ef30376e574d0e9355f28
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 9dcffd0104f77b68082ef30376e574d0e9355f28
Author: Ignacio Dominguez Martinez-Casanueva <email address hidden>
Date: Tue Aug 21 12:07:28 2018 +0200

Fix configdb-nodemgr to use keystone admin secret

Update configdb-nodemgr daemonset to consume KEYSTONE_AUTH_ADMIN_PASSWORD
as a Secret like other daemonsets: https://review.opencontrail.org/#/c/44844/

Change-Id: Id2d4df47f94e7d749114cde7016a3b2a5ad56b5f
Partial-Bug: #1765487

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers